Bug 1192128 - --nocheck does not work with older rpm
Summary: --nocheck does not work with older rpm
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mock
Version: rawhide
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-12 16:30 UTC by Mikhail Campos
Modified: 2015-06-20 21:13 UTC (History)
6 users (show)

Fixed In Version: mock-1.2.10-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-01 16:50:38 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
using rpm macros redefinition instead of --nocheck (838 bytes, patch)
2015-02-12 16:40 UTC, Mikhail Campos
no flags Details | Diff

Description Mikhail Campos 2015-02-12 16:30:23 UTC
Description of problem:
rpm introduced option --nocheck with rpm-4.10.1. el5/el6 uses rpm <= 4.8, so if pass --nocheck to rpmbuild we'll get 'unknown option' error

Version-Release number of selected component:
1.2.6-1

How reproducible:
always

Steps to Reproduce:
1. mock -r epel-6-x86_64 /tmp/ccache-3.1.6-2.el6.src.rpm

Actual results:
... [output skipped]
Finish: build setup for ccache-3.1.6-2.el6.src.rpm
Start: rpmbuild ccache-3.1.6-2.el6.src.rpm
--nocheck: unknown option
ERROR: Exception(/tmp/ccache-3.1.6-2.el6.src.rpm) Config(epel-6-x86_64) 0 minutes 5 seconds
INFO: Results and/or logs in: /var/lib/mock/epel-6-x86_64/result
ERROR: Command failed. See logs for output.
 # bash --login -c /usr/bin/rpmbuild -bb --target x86_64 --nodeps --nocheck /builddir/build/SPECS/ccache.spec

Expected results:
no errors

Comment 1 Mikhail Campos 2015-02-12 16:40:55 UTC
Created attachment 991037 [details]
using rpm macros redefinition instead of --nocheck

proposed patch attached

Comment 2 Mikhail Campos 2015-02-12 16:47:19 UTC
Sorry, correct step to reproduce must include '--nocheck', for example:

mock -r epel-6-x86_64 /tmp/ccache-3.1.6-2.el6.src.rpm --nocheck

Comment 3 Miroslav Suchý 2015-04-22 12:48:49 UTC
I added comments in code. So we know after several years that we can replace it.

Commited as:
* da8a993 add comment why this previous commit was done [RHBZ#1192128]
* 6140191 use rpm macros instead of cmd option for --nocheck [RHBZ#1192128]

Thank you.

Comment 4 Fedora Update System 2015-04-29 13:16:27 UTC
mock-1.2.8-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/mock-1.2.8-1.fc22

Comment 5 Fedora Update System 2015-04-29 13:16:52 UTC
mock-1.2.8-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/mock-1.2.8-1.fc21

Comment 6 Fedora Update System 2015-04-29 13:18:08 UTC
mock-1.2.8-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mock-1.2.8-1.fc20

Comment 7 Fedora Update System 2015-04-29 13:18:54 UTC
mock-1.2.8-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/mock-1.2.8-1.el7

Comment 8 Fedora Update System 2015-04-29 13:25:22 UTC
mock-1.2.8-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.2.8-1.el6

Comment 9 Fedora Update System 2015-04-29 19:18:36 UTC
Package mock-1.2.8-1.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing mock-1.2.8-1.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-6057/mock-1.2.8-1.el7
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2015-05-01 16:50:38 UTC
mock-1.2.8-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-05-02 18:08:17 UTC
mock-1.2.8-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-05-12 20:46:38 UTC
mock-1.2.8-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-06-04 11:41:36 UTC
mock-1.2.10-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/mock-1.2.10-1.el7

Comment 14 Fedora Update System 2015-06-04 11:42:17 UTC
mock-1.2.10-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.2.10-1.el6

Comment 15 Fedora Update System 2015-06-20 21:09:42 UTC
mock-1.2.10-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2015-06-20 21:13:02 UTC
mock-1.2.10-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.